language: c
compiler:
 - gcc
 - clang
before_install:
 - sudo add-apt-repository ppa:ubuntu-lxc/daily -y
 - sudo apt-get update -qq
 - sudo apt-get install -qq libapparmor-dev libcap-dev libseccomp-dev python3-dev docbook2x libgnutls-dev liblua5.2-dev libselinux1-dev libcgmanager-dev
script:
 - ./autogen.sh
 - mkdir build
 - cd build
 - ../configure --enable-tests
 - make -j4
 - make DESTDIR=$TRAVIS_BUILD_DIR/install install
notifications:
  email:
    recipients:
      - lxc-devel@lists.linuxcontainers.org
  webhooks: https://linuxcontainers.org/webhook-lxcbot/
